layui.use(['element','table','form','carousel'], function(){    
	var $ = layui.jquery;
	var table = layui.table;
	var laydate = layui.laydate;
	var element = layui.element;
	var form = layui.form;
	
	// 选择的快递方式
	var changeExpress;
	// 首重
	var firstPrice = 0;
	// 续重
	var continuedPrice = 0;
	// 价格
	var expressPrice = 0;
	
	// 监听选择的快递
	form.on('select(changeExpress)', function (data) {
		changeExpress = data.value
		console.log(changeExpress)
		// 清空省份下拉框
		$('#expressFee').empty()
		// 下拉框第一列添加空的option
    	$('#expressFee').append(new Option("",""));
		
		// 获取省份下拉框列表
		$.ajax({
			url:"../../getExpressFees",
		    type : 'GET',
		    success:function (data) {
		    	if(changeExpress == '普通快递'){
		    		var datas = data.data.other
		    	}else{
			    	var datas = data.data.allProvinces
		    	}
				$.each(datas, function(index, item) {
					$('#expressFee').append(
						new Option(item.province, item.firstWeightPrice+','+item.continuedWeightPrice+','+item.province));// 下拉菜单里添加元素
					});
				form.render("select");
		    }
		})
	})
	
	// 监听重量输入框
	$(function(){
		// 输入框的值改变时触发
		$("#weight").on("input",function(e){
			// 保留一位小数
			// $("#price").val((e.delegateTarget.value * provincePrice).toFixed(1))
			expressPrice = (firstPrice + continuedPrice * ($("#weight").val() - 1 > 0 ? Math.ceil($("#weight").val()) - 1 : 0)).toFixed(1)
			$("#price").val(expressPrice)
		});
		form.on("select(expressFee)",function(selectedData){
			// 获取选中下拉框的价格（格式：首重,续重）
			price  = selectedData.value
			// 首重价格
			firstPrice = parseFloat(price.split(",")[0])
			// 续重价格
			continuedPrice = price.split(",")[1]
			// 价格
			expressPrice = (firstPrice + continuedPrice * ($("#weight").val() - 1 > 0 ? Math.ceil($("#weight").val()) - 1 : 0)).toFixed(1)
			$("#price").val(expressPrice)
		})
	});
});
